
// ----------------------------------------------------------------------
textures/UJE_convoy_final/terrein/ter_gravelmud
{
	qer_editorimage textures/UJE_convoy_final/terrein/ter_gravelmud.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_nonplanar
	q3map_shadeAngle 75
	{
		// Primary
		map textures/snow_sd/coal_snow.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_var01_big.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------
textures/UJE_convoy_final/terrein/ter_mossgravel
{
	qer_editorimage textures/UJE_convoy_final/terrein/ter_mossgravel.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_foliage models/rayban_foliage/grass_green_foliage1.md3 0.6 64 0.04 1
	surfaceparm gravelsteps
	surfaceparm landmine
	q3map_nonplanar
	q3map_shadeAngle 75
	{
		// Primary
		map textures/snow_sd/s_grass_ml03b_big.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/coal_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------
textures/UJE_convoy_final/terrein/ter_mossmud
{
	qer_editorimage textures/UJE_convoy_final/terrein/ter_mossmud.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_foliage models/rayban_foliage/grass_foliage3.md3 0.8 32 0.02 2
	q3map_foliage models/rayban_foliage/grass_green_foliage1.md3 0.6 64 0.04 2
	surfaceparm grasssteps
	surfaceparm landmine
	q3map_nonplanar
	q3map_shadeAngle 75
	{
		// Primary
		map textures/snow_sd/s_grass_ml03b_big.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_var01_big.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------
textures/UJE_convoy_final/terrein/ter_mudgravel
{
	qer_editorimage textures/UJE_convoy_final/terrein/ter_mudgravel.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_nonplanar
	q3map_shadeAngle 75
	{
		// Primary
		map textures/snow_sd/snow_var01_big.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/coal_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------
textures/UJE_convoy_final/terrein/ter_rockgravel
{
	qer_editorimage textures/UJE_convoy_final/terrein/ter_rockgravel.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm gravelsteps
	surfaceparm landmine
	q3map_nonplanar
	q3map_shadeAngle 75
	{
		// Primary
		map textures/snow_sd/snow_muddy.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/coal_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------
textures/UJE_convoy_final/terrein/ter_rockmud
{
	qer_editorimage textures/UJE_convoy_final/terrein/ter_rockmud.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_nonplanar
	q3map_shadeAngle 75
	{
		// Primary
		map textures/snow_sd/snow_muddy.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_var01_big.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ======================================================================
// VECTOR ALIGNMENT
// ======================================================================
// ----------------------------------------------------------------------
textures/UJE_convoy_final/terrein/ivec_gravel1
{
	qer_editorimage textures/UJE_convoy_final/terrein/ivec_gravel1.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeAngle 75
	{
		map textures/snow_sd/coal_snow.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------
textures/UJE_convoy_final/terrein/ivec_mud1
{
	qer_editorimage textures/UJE_convoy_final/terrein/ivec_mud1.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeAngle 75
	{
		map textures/snow_sd/snow_var01_big.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------
textures/UJE_convoy_final/terrein/ivec_moss1
{
	qer_editorimage textures/UJE_convoy_final/terrein/ivec_moss1.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_foliage models/rayban_foliage/grass_foliage3.md3 0.8 32 0.02 2
	q3map_foliage models/rayban_foliage/grass_green_foliage1.md3 0.6 64 0.04 2
	q3map_nonplanar
	q3map_shadeAngle 75
	{
		map textures/snow_sd/s_grass_ml03b_big.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------
textures/UJE_convoy_final/terrein/ivec_rock3
{
	qer_editorimage textures/UJE_convoy_final/terrein/ivec_rock3.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeAngle 75
	{
		map textures/snow_sd/snow_muddy.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ======================================================================
// GREY ROCK BLENDS (VINE and MOSS1)
// ======================================================================
// ----------------------------------------------------------------------
textures/UJE_convoy_final/terrein/rock_grey3
{
	qer_editorimage textures/snow_sd/snow_muddy.tga
	
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/snow_sd/snow_muddy.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------
textures/UJE_convoy_final/terrein/ter_moss1wall
{
	qer_editorimage textures/snow_sd/snow_noisy.tga
	
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ======================================================================
// BROWN ROCK BLENDS (VINE and MOSS1)
// ======================================================================
textures/UJE_convoy_final/terrein/rock_brown2
{
	qer_editorimage textures/snow_sd/bigrock_rounded_faint.tga
	
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ----------------------------------------------------------------------
textures/UJE_convoy_final/terrein/rock_brown2moss1
{
	qer_editorimage textures/UJE_convoy_final/terrein/rock_brown2moss1.tga
	q3map_nonplanar
	q3map_shadeAngle 75
	q3map_lightmapMergable
	{
		// Primary
		map textures/snow_sd/snow_noisy.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/bigrock_rounded_faint.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
// ======================================================================
// BLACK SKY
// ======================================================================
textures/UJE_convoy_final/terrein/sky_black
{
	qer_editorimage textures/UJE_convoy_final/terrein/black.jpg

	//red green blue intensity degrees elevation deviance samples
	q3map_sunExt 1 1 .93 125 270 50 2 32
	q3map_skyLight 125 6

	q3map_noFog
	q3map_globalTexture
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	nopicmip
	{
		map textures/UJE_convoy_final/terrein/black.tga
	}
}
models/rayban_foliage/grass_foliage3
{
	nopicmip
	qer_alphafunc greater 0.5
	cull disable
	// distanceCull <inner> <outer> <alpha threshold>
	distanceCull 480 1280 0.49
	sort seethrough
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nomarks
	{
		//map models/foliage/grassfoliage3.tga
		map textures/UJE_convoy_final/foliage/grassfoliage3.tga
		alphaFunc GE128
		rgbGen exactVertex
		alphaGen vertex
	}
}
//
// plain grass green foliage ( taller )
//
models/rayban_foliage/grass_green_foliage1
{
	nopicmip
	qer_alphafunc greater 0.5
	cull disable
	// distanceCull <inner> <outer> <alpha threshold>
	distanceCull 512 1792 0.49
	sort seethrough
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nomarks
	{
		//map models/mapobjects/plants_sd/grass_green1.tga
		map textures/UJE_convoy_final/foliage/grass_green1.tga
		alphaFunc GE128
		rgbGen exactVertex
		alphaGen vertex
	}
}
//---------------------------------------------------
