textures/caen/caen_sky
{
	nocompress
	qer_editorimage textures/caen/caen_sky.tga
        //q3map_lightimage textures/skies_sd/nero_bluelight.tga
	q3map_lightrgb 0.98 0.98 1.0
	q3map_sun  0.9 1.0 1.0 175 135 45
        //q3map_sun	1.0 0.8 0.6 150 135 50
	q3map_skylight 175 3
	q3map_nofog
        q3map_lightsubdivide 512
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	sunshader textures/caen/caen_sun
        skyparms - 200 -
	//skyparms textures/skies_sd/wurzburg_env/sky 512 -
 
	
        {	
                fog off
		map textures/caen/caen_sky.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}

}

textures/caen/caen_sun
{
	nocompress
	cull none
	q3map_nofog
	
	{
		map textures/caen/caensun.tga
		blendFunc blend
		rgbGen identityLighting
	}
}


textures/caen/river
{
	nocompress
	cull none
        deformVertexes wave 160 sin 0 6 0 .3
	waterfogvars ( 0.11 0.13 0.15 ) 0.2
	surfaceparm nomarks
	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	{
		map textures/caen/water1.tga
		alphaGen const .75
		blendFunc blend
		tcMod scroll -.05 -.0
		tcMod scale 4 1
		tcMod scale .25 1
	}
	{
		map textures/caen/water2.tga
		blendFunc blend
		tcMod scroll -0.1 -0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen Identity
		depthFunc equal
	}
}


textures/caen/grass_shader
{
	qer_editorimage textures/snow_sd/s_grass_ml03b_big.tga
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm grasssteps
        surfaceparm landmine
	implicitMap textures/snow_sd/s_grass_ml03b_big.tga
}

textures/caen/carpet
{
	surfaceparm carpetsteps
	implicitMap -
}

textures/caen/allieddoor
{          
        surfaceparm metalsteps
	implicitMap -
}

textures/caen/door_salle
{
        surfaceparm woodsteps
        implicitMap -
}

textures/caen/wood_door
{
	surfaceparm woodsteps
	implicitMap -
}

textures/caen/metal
{          
        surfaceparm metalsteps
	implicitMap -
}

textures/caen/floorwood
{
	surfaceparm woodsteps
	implicitMap -
}

//TERRAIN//==============================================================================

textures/caen/terrain_base
{
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_lightmapsize 512 512
	q3map_lightmapMergable
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_shadeangle 179
}

textures/caen/terrain_0
{
        qer_editorimage textures/snow_sd/s_grass_ml03b_big.tga
	q3map_baseshader textures/caen/terrain_base
	surfaceparm landmine
	surfaceparm snowsteps
	
	{

		map textures/snow_sd/s_grass_ml03b_big.tga
                
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/snow_sd/snow_var02.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}

textures/caen/terrain_1
{
	q3map_baseshader textures/caen/terrain_base
	surfaceparm landmine
	surfaceparm snowsteps
	
	{

		map textures/snow_sd/coal_snow.tga
                
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/snow_sd/snow_var02.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}

textures/caen/terrain_2
{
	q3map_baseshader textures/caen/terrain_base
	surfaceparm landmine
	surfaceparm snowsteps
	
	{

		map textures/snow_sd/mxrock4b_snow.tga
                
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/snow_sd/snow_var02.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}

textures/caen/terrain_3
{
	q3map_baseshader textures/caen/terrain_base
	surfaceparm landmine
	surfaceparm snowsteps
	
	{

		map textures/snow_sd/coal_snow.tga
                
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/snow_sd/snow_var02.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}

textures/caen/terrain_0to1
{
	q3map_baseshader textures/caen/terrain_base
	surfaceparm landmine
	surfaceparm snowsteps
	{
		map textures/snow_sd/s_grass_ml03b_big.tga
		alphaGen vertex
                
		
	}
	{
		map textures/snow_sd/coal_snow.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                
	}
	
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/snow_sd/snow_var02.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}

textures/caen/terrain_0to2
{
	q3map_baseshader textures/caen/terrain_base
	surfaceparm landmine
	surfaceparm snowsteps
	{
		map textures/snow_sd/s_grass_ml03b_big.tga
		alphaGen vertex
                
		
	}
	{
		map textures/snow_sd/mxrock4b_snow.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                
	}
	
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/snow_sd/snow_var02.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}

textures/caen/terrain_0to3
{
	q3map_baseshader textures/caen/terrain_base
	surfaceparm landmine
	surfaceparm snowsteps
	{
		map textures/snow_sd/s_grass_ml03b_big.tga
		alphaGen vertex
                
		
	}
	{
		map textures/snow_sd/coal_snow.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                
	}
	
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/snow_sd/snow_var02.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}

textures/caen/terrain_1to2
{
	q3map_baseshader textures/caen/terrain_base
	surfaceparm landmine
	surfaceparm snowsteps
	{
		map textures/snow_sd/coal_snow.tga
		alphaGen vertex
                
		
	}
	{
		map textures/snow_sd/mxrock4b_snow.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                
	}
	
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/snow_sd/snow_var02.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}

textures/caen/terrain_1to3
{
	q3map_baseshader textures/caen/terrain_base
	surfaceparm landmine
	surfaceparm snowsteps
	{
		map textures/snow_sd/coal_snow.tga
		alphaGen vertex
                
		
	}
	{
		map textures/snow_sd/coal_snow.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                
	}
	
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/snow_sd/snow_var02.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}

textures/caen/terrain_2to3
{
	q3map_baseshader textures/caen/terrain_base
	surfaceparm landmine
	surfaceparm snowsteps
	{
		map textures/snow_sd/mxrock4b_snow.tga
		alphaGen vertex
               
		
	}
	{
		map textures/snow_sd/coal_snow.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                
	}
	
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/snow_sd/snow_var02.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcmod scale 4 4
	}
}



